Bug 128402 - dialog-0.9b-20040606 has broken radiolists
dialog-0.9b-20040606 has broken radiolists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dialog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 11:57 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: dialog-1.0.20040728-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 11:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-07-22 11:57:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
dialog-0.9b-20040606 has a bug that breaks radiolists. If you run the
sample application, radiolist, and choose Apple the output is:

'"Apple"'  in older versions it is:

'Apple'

The quote mess things up. Here's the patch to fix it:

diff -u dialog-0.9b-20040606.orig/checklist.c
dialog-0.9b-20040606/checklist.c
--- dialog-0.9b-20040606.orig/checklist.c       2004-06-05
20:42:41.000000000 -0400
+++ dialog-0.9b-20040606/checklist.c    2004-07-22 11:11:53.000000000
-0400
@@ -535,7 +535,7 @@
                } else {
                    if (*(dialog_vars.input_result))
                        dlg_add_result(" ");
-                   if (FLAG_CHECK) {
+                   if (flag == FLAG_CHECK) {
                        dlg_add_quoted(ItemName(i));
                    } else {
                        dlg_add_result(ItemName(i));

As you can see, there is an 'if' statement of a constant rather than a
variable. Please apply.

Version-Release number of selected component (if applicable):
dialog-0.9b-20040606

How reproducible:
Always

Steps to Reproduce:
1. /usr/share/doc/dialog-0.9b.20040606/samples/radiolist
2. Select Apple
3. Hit Enter
4. View results
    

Actual Results:  '"Apple"' chosen.

Expected Results:  'Apple' chosen.

Additional info:
Comment 1 Harald Hoyer 2004-07-29 11:34:05 EDT
fixed with dialog-1.0.20040728-1

Note You need to log in before you can comment on or make changes to this bug.